# Ogre::GpuLogicalBufferStruct Struct Reference

Container struct to allow params to safely & update shared list of logical buffer assignments. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| GpuLogicalBufferStruct ()

## Public Attributes

GpuLogicalIndexUseMap | map
| Map from logical index to physical buffer location.
size_t | bufferSize
| Shortcut to know the buffer size needs.

## Detailed Description

Container struct to allow params to safely & update shared list of logical buffer assignments.

Definition at line 184 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuLogicalBufferStruct::GpuLogicalBufferStruct | ( |  | ) |

Definition at line 191 of file OgreGpuProgram.h.

## Member Data Documentation

GpuLogicalIndexUseMap Ogre::GpuLogicalBufferStruct::map

Map from logical index to physical buffer location.

Definition at line 188 of file OgreGpuProgram.h.

size_t Ogre::GpuLogicalBufferStruct::bufferSize

Shortcut to know the buffer size needs.

Definition at line 190 of file OgreGpuProgram.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:54 2008